> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Daily Stats

> Track channel growth and engagement day by day.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "stats": [
      {
        "date": "14-08-2025",
        "dateISO": "2025-08-14T00:00:00.000Z",
        "subscriberCount": 422000000,
        "subscriberCountDelta": 0,
        "viewCount": 93216759568,
        "viewCountDelta": 21475010,
        "videoCount": 893,
        "videoCountDelta": 0,
        "estimatedLowRevenueUsd": 14809,
        "estimatedHighRevenueUsd": 41269,
        "estimatedRevenueUsd": 28039,
        "dayOfWeek": "THURSDAY",
        "isToday": false
      },
      {
        "date": "15-08-2025",
        "dateISO": "2025-08-15T00:00:00.000Z",
        "subscriberCount": 422000000,
        "subscriberCountDelta": 0,
        "viewCount": 93315468168,
        "viewCountDelta": 98708600,
        "videoCount": 894,
        "videoCountDelta": 1,
        "estimatedLowRevenueUsd": 51006,
        "estimatedHighRevenueUsd": 142448,
        "estimatedRevenueUsd": 96727,
        "dayOfWeek": "FRIDAY",
        "isToday": false
      },
      {
        "date": "16-08-2025",
        "dateISO": "2025-08-16T00:00:00.000Z",
        "subscriberCount": 423000000,
        "subscriberCountDelta": 1000000,
        "viewCount": 93426679424,
        "viewCountDelta": 111211256,
        "videoCount": 895,
        "videoCountDelta": 1,
        "estimatedLowRevenueUsd": 68414,
        "estimatedHighRevenueUsd": 190806,
        "estimatedRevenueUsd": 129610,
        "dayOfWeek": "SATURDAY",
        "isToday": false
      },
      {
        "date": "17-08-2025",
        "dateISO": "2025-08-17T00:00:00.000Z",
        "subscriberCount": 423000000,
        "subscriberCountDelta": 0,
        "viewCount": 93488121972,
        "viewCountDelta": 61442548,
        "videoCount": 895,
        "videoCountDelta": 0,
        "estimatedLowRevenueUsd": 65043,
        "estimatedHighRevenueUsd": 180858,
        "estimatedRevenueUsd": 122950,
        "dayOfWeek": "SUNDAY",
        "isToday": false
      },
      {
        "date": "18-08-2025",
        "dateISO": "2025-08-18T00:00:00.000Z",
        "subscriberCount": 423000000,
        "subscriberCountDelta": 0,
        "viewCount": 93618323582,
        "viewCountDelta": 130201610,
        "videoCount": 895,
        "videoCountDelta": 0,
        "estimatedLowRevenueUsd": 138068,
        "estimatedHighRevenueUsd": 383906,
        "estimatedRevenueUsd": 260987,
        "dayOfWeek": "MONDAY",
        "isToday": false
      },
      {
        "date": "19-08-2025",
        "dateISO": "2025-08-19T00:00:00.000Z",
        "subscriberCount": 424000000,
        "subscriberCountDelta": 1000000,
        "viewCount": 93645317615,
        "viewCountDelta": 26994033,
        "videoCount": 896,
        "videoCountDelta": 1,
        "estimatedLowRevenueUsd": 17110,
        "estimatedHighRevenueUsd": 47710,
        "estimatedRevenueUsd": 32410,
        "dayOfWeek": "TUESDAY",
        "isToday": false
      },
      {
        "date": "20-08-2025",
        "dateISO": "2025-08-20T00:00:00.000Z",
        "subscriberCount": 424000000,
        "subscriberCountDelta": 0,
        "viewCount": 93709926188,
        "viewCountDelta": 64608573,
        "videoCount": 896,
        "videoCountDelta": 0,
        "estimatedLowRevenueUsd": 45495,
        "estimatedHighRevenueUsd": 126769,
        "estimatedRevenueUsd": 86132,
        "dayOfWeek": "WEDNESDAY",
        "isToday": true
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-channel-daily-stats
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-channel-daily-stats:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-channel-daily-stats
      operationId: get_wf_youtube-channel-daily-stats
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get Channel Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: >-
            If you would like to get the channel profile and details set this to
            `true`
          schema:
            type: boolean
        - name: dayRange
          in: query
          required: true
          description: >-
            Default: 7, Possible values: `7` | `30` | `90` | `180` | `365` ,
            Maximum value is 365
          schema:
            type: number
            default: 7
        - name: sortDesc
          in: query
          required: true
          description: |-
            Sort stats by date in an Descending Order 
            - Descending sort(Newest First) =`true`
            - Ascending sort (Oldest First) = `false`
          schema:
            type: boolean
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````